public class FAACEncoderJNI {

    static {
	System.loadLibrary("FAACEncoderJNI");
    }

    public native boolean alloc();
    public native boolean delete();

    public native boolean open(int sampleRate, int numChannels);
    public native boolean open();
    public native boolean init(int sampleRate, int numChannels);
    public native boolean init();
    public native boolean close();

    public native boolean encode();

    public native boolean encode(byte[] buf, int samples);

    public native int     getEncodedBytes();
    public native int     getEncodedSamples();
    public native byte[]  getEncodedBufferRef(byte[] b);
	
    public native long    getTotalEncodedBytes();
    public native int     getMaxOutputBytes();
    public native int     getBytesWritten();
    public native int     getSampleRate();
    public native boolean needBuffer();

    public native void setDecoderSpecificInfo();

    public native byte[]  getASC(byte[] b);
    
    public native long    getASCLength();
}