public class MP4HandlerJNI {

    static {
	System.loadLibrary("MP4HandlerJNI");
    }

    
    // Java

    public native boolean alloc();

    public native boolean delete();

    
    //

    public native boolean open(String output);
    public native boolean open();

    public native boolean init();

    public native boolean close();

    public native boolean setMP4TimeScale(int timescale);

    
    // Video

    public native boolean addH264VideoTrack(byte[] buf, int widht, int height, int timescale);

    public native boolean setH264SequenceParameter(byte[] buf, int bytes);

    public native boolean setH264PictureParameter(byte[] buf, int bytes);

    public native boolean writeMP4VideoSample(byte[] buf, int bytes, long duration);

    
    // Audio

    public native boolean addAACAudioTrack(int timescale);
    
    public native boolean addAACAudioTrack(int timescale, byte[] b, long len);
    
    public native byte[]  getASCRef(byte[] asc);
    
    public native int     getASCLength();	

    public native boolean writeMP4AudioSample(byte[] buf, int bytes, long duration);

}