#include <stdio.h>
#include <stdlib.h>

#include <QuickTime/QuickTime.h>

#ifndef _QTHANDLER_H_
#define _QTHANDLER_H_

class QTHandler {

 private:
  
  Movie _movie;
  DataHandler _hMovie;
  CFStringRef _oMovieFilename;
  
  ICMCompressionSessionRef _compressSession;
  ICMCompressionSessionOptionsRef _compressSessionOpt;
  
  OSErr _err;
    
  Media _vMedia;
  Track _vTrack;
  ICMEncodedFrameOutputRecord _vEncodedFrameOutputRecord;
  
  int _vCodecType;
  TimeScale _vTimeScale;
  int _width;
  int _height;
  
  Media _audioMedia;
  TimeScale _aTimeScale;
  SGChannel _channel;


 public:

  QTHandler();
  ~QTHandler();

  void openMovie();

  void openQTVideoCodec();

  //void openQTAudioCodec();

  void closeMovie();

};
// init

// openOutputFile
// closeOutputFile

// initVideo
// initAudio

// encodeVideo
// encodeAudio

// writeVideoFrame
// writeAudioFrame

#endif


