/********************************************************************************
Copyright (C) Takuya.S
 ********************************************************************************/

public class FFMPEGDecoderJNI {

    static {
	System.loadLibrary("FFMPEGDecoderJNI");
    }

    public native void echoVersionString();

    public native void alloc();

    public native void delete();

    public native boolean open(String filename);

    public native boolean init();

    public native boolean close();

    public native boolean isFinished();

    public native boolean hasVideo();

    public native boolean hasAudio();

    public native boolean decode();

    // GET

    public native int getWidth();

    public native int getHeight();

    public native int getFpsNum();

    public native int getFpsDen();

    public native int getVideoFrameDuration();

    public native void getVideoYUV(byte[] Y);
    
    public native int getVideoY(byte[] buf);
    public native int getVideoU(byte[] buf);
    public native int getVideoV(byte[] buf);

    public native void getDeinterlacedVideoYUV(byte[] buf);

    public native byte[] getAudioRAWRef(byte[] buf);

    public native int getDecodedAudioSampleNum();

    public native int getAudioSampleRate();
    
    public native int getAudioChannels();

    public native int doneVideo();

    public native int doneAudio();
    
    public static void main(String[] args) {
	FFMPEGDecoderJNI ffmpeg = new FFMPEGDecoderJNI();
	ffmpeg.open("../../../../Visual/resources/hachi.m2p");
	ffmpeg.init();
	ffmpeg.close();
    }
}