import java.lang.reflect.Method;

public class RefHandler {

    private Class _cls;
    private Object _obj;
    private Method _method;

    public RefHandler(String className) {

	try {
	    _cls = Class.forName(className);
	} catch (Exception e) {
	    ;
	}

	try {
	    _obj = _cls.newInstance();
	} catch (Exception e) {
	    ;
	}
	
    }

    public Object invoke(String methodName) {
	Object ret;

	try {
	    _method = _cls.getMethod(methodName, null);
	} catch (Exception e) {
	    ;
	}

	try {
	    ret = _method.invoke(_obj, null);
	} catch (Exception e) {
	    return null;
	}

	return ret;
    }

}