public class X264EncoderJNI {

    public X264EncoderJNI() {

    }

    static {
	System.loadLibrary("X264EncoderJNI");
    }

    public native void alloc();

    public native void delete();

    public native boolean open(int width,
			       int height,
			       int fps_den,
			       int fps_num);

    public native boolean init();

    public native boolean close();

    public native boolean encode();

    public native boolean encode(byte[] y, byte[] u, byte[] v,
				 int ys, int bs, int vs);

    // Get
    public native int getWidth();

    public native int getHeight();

    //public native int getSPSRef(byte[] srs);

    public native byte[] getSPSRef(byte[] srs);

    //public native int getPPSRef(byte[] pps);

    public native byte[] getPPSRef(byte[] pps);

    public native int getSPSLen();

    public native int getPPSLen();

    public native byte[] getNalEncodedBufferRef(byte[] buf);

    public native int  getBytesWritten();

    // Set
    public native void setWidth(int width);

    public native void setHeight(int height);

    public native void setFraneRateFactor(int num, int den);

    public native void setX264Picture(byte[] input_yuv);

    public static void main(String[] args) {
	X264EncoderJNI x264 = new X264EncoderJNI();
	x264.open(720, 480, 30000, 1001);
	x264.init();
	x264.close();
    }
}
    